Bug 19338 - Dates sorting incorrectly in opac-account.tt
Summary: Dates sorting incorrectly in opac-account.tt
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Liz Rea
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-09-19 03:42 UTC by Liz Rea
Modified: 2018-05-01 09:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19338 - Dates sorting incorrectly in opac-account.tt (2.51 KB, patch)
2017-09-19 03:44 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 19338 - followup - missing span (1.24 KB, patch)
2017-09-19 03:47 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 19338 - Dates sorting incorrectly in opac-account.tt (2.53 KB, patch)
2017-10-04 00:44 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 19338 - Dates sorting incorrectly in opac-account.tt (2.59 KB, patch)
2017-10-07 13:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19338 - Dates sorting incorrectly in opac-account.tt (2.64 KB, patch)
2017-12-26 11:49 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2017-09-19 03:42:39 UTC
Looks like we never put the title-string spec in on this page to make the dates sort correctly. We should fix that, so that the dates are right in all formats.
Comment 1 Liz Rea 2017-09-19 03:44:24 UTC
Created attachment 67195 [details] [review]
Bug 19338 - Dates sorting incorrectly in opac-account.tt

To test:
Find an account with lots of fines/payments
load up the borrower's account in the OPAC
note that the sort on the dates sorts by day, and not by date.
apply this patch
reload the page, note that the sort on the dates is now correct.
Comment 2 Liz Rea 2017-09-19 03:47:08 UTC
Created attachment 67196 [details] [review]
Bug 19338 - followup - missing span

Oops, missed a span.
Comment 3 Marc Véron 2017-09-19 08:28:03 UTC
With patch applied dates do not sort at all.

I think it is because of line 105 in opac-account.tt:
 <td><span title="[% account.date %]">[% ACCOUNT_LINE.date | $KohaDates %]</td>

account.date should be: ACCOUNT_LINE.date
Comment 4 Liz Rea 2017-10-04 00:44:11 UTC
Created attachment 67582 [details] [review]
Bug 19338 - Dates sorting incorrectly in opac-account.tt

To test:
Find an account with lots of fines/payments
load up the borrower's account in the OPAC
note that the sort on the dates sorts by day, and not by date.
apply this patch
reload the page, note that the sort on the dates is now correct.
Comment 5 Katrin Fischer 2017-10-07 13:32:09 UTC
Created attachment 67801 [details] [review]
Bug 19338 - Dates sorting incorrectly in opac-account.tt

To test:
Find an account with lots of fines/payments
load up the borrower's account in the OPAC
note that the sort on the dates sorts by day, and not by date.
apply this patch
reload the page, note that the sort on the dates is now correct.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Alex Arnaud 2017-12-26 11:49:11 UTC
Created attachment 70154 [details] [review]
Bug 19338 - Dates sorting incorrectly in opac-account.tt

To test:
Find an account with lots of fines/payments
load up the borrower's account in the OPAC
note that the sort on the dates sorts by day, and not by date.
apply this patch
reload the page, note that the sort on the dates is now correct.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 7 Jonathan Druart 2017-12-26 15:53:28 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2018-01-15 16:46:52 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 9 Fridolin SOMERS 2018-01-22 10:50:15 UTC
Pushed to 17.05.x for v17.05.08